.articles {
  --gap: 60px;
  --row-gap: 50px;
  padding-top: 60px;
  padding-bottom: 60px;
}

.articles__categories {
  --gap: 5px;
  --padding: 20px;
  background: rgb(var(--color-neutral-1));
  border: 1px;
  border-color: #EBE5D9;
  border-style: solid;
  border-radius: 50px;
  border-width: 1px 1px 1px 1px;
  position: relative;
  overflow: hidden;
  display: table;
  display: -ms-inline-flexbox;
  display: inline-flex;
  max-width: 100%;
}
.articles__categories:after, .articles__categories:before {
  content: "";
  position: absolute;
  top: 0;
  width: 35px;
  height: 100%;
  z-index: 1;
}
.articles__categories:after {
  background-image: linear-gradient(to right, rgba(var(--color-tan), 0), rgba(var(--color-tan), 0.9) 100%);
  right: 0;
}
.articles__categories:before {
  background-image: linear-gradient(to left, rgba(var(--color-tan), 0), rgba(var(--color-tan), 0.9) 100%);
  left: 0;
}

.articles__categories-wrap {
  overflow-x: scroll;
  position: relative;
  scrollbar-width: none;
  -ms-overflow-style: none;
}

.articles__categories-scroll {
  display: -ms-flexbox;
  display: flex;
  padding: var(--padding) 0;
  height: 100%;
}
.articles__categories-scroll:before, .articles__categories-scroll:after {
  content: "";
  display: block;
  -ms-flex-negative: 0;
      flex-shrink: 0;
  height: 100%;
  width: 20px;
}

.articles__categories-category {
  border: 1px solid transparent;
  border-radius: 50px;
  cursor: pointer;
  position: relative;
  margin: 0px;
  text-align: center;
  white-space: nowrap;
  transition: 250ms background ease;
}
.articles__categories-category a {
  display: -ms-flexbox;
  display: flex;
  padding: 0 25px;
  -ms-flex-align: center;
      align-items: center;
  -ms-flex-pack: center;
      justify-content: center;
  height: 100%;
}
.articles__categories-category:first-of-type {
  margin-left: 0;
}
.articles__categories-category:last-of-type {
  margin-right: 0;
}
.articles__categories-category.is-active {
  background: rgb(var(--color-primary));
  border: 1px solid #EBE5D9;
  z-index: 2;
}
@media (pointer: fine) {
  .articles__categories-category:not(.is-active):hover {
    background: rgba(var(--color-primary), 0.5);
  }
}

ul.articles__categories {
  display: -ms-flexbox;
  display: flex;
}
ul.articles__categories li:before {
  display: none;
}
ul.articles__categories li + li {
  margin-top: 0;
}

.article {
  --padding: 27px;
  --border-radius: var(--border-radius-mobile);
  --icon-size: 50px;
  background: rgb(var(--color-light));
  border-radius: var(--border-radius);
  border: 1px solid rgb(var(--color-tan));
  display: -ms-flexbox;
  display: flex;
  -ms-flex-direction: column;
      flex-direction: column;
  padding: var(--padding);
}

.article__bottom {
  display: -ms-flexbox;
  display: flex;
  -ms-flex-align: center;
      align-items: center;
  -ms-flex-pack: justify;
      justify-content: space-between;
  margin-top: auto;
  padding-top: 20px;
}

.article__date {
  font-size: calc(16 / var(--base) * 1rem);
}

.article__link {
  font-size: 0;
}
.article__link svg {
  color: rgb(var(--color-primary));
  height: var(--icon-size);
  width: var(--icon-size);
}

.article__image {
  border-radius: 40px;
  overflow: hidden;
  margin-bottom: 30px;
}

h2.article__title {
  font-family: var(--font-family-default);
  font-weight: 400;
  font-size: calc(18 / var(--base) * 1rem);
}

ul.article-card__categories.article-card__categories {
  display: -ms-flexbox;
  display: flex;
  gap: 10px;
  margin-bottom: 20px;
  margin-top: 20px;
  -ms-flex-wrap: wrap;
      flex-wrap: wrap;
}
ul.article-card__categories.article-card__categories li {
  background: rgb(var(--color-neutral-1));
  font-size: calc(15 / var(--base) * 1rem);
  padding: 10px 13px;
  border-radius: 100px;
}
ul.article-card__categories.article-card__categories li + li {
  margin-top: 0;
}
ul.article-card__categories.article-card__categories li:before {
  display: none;
}

.article-card.article-card {
  height: 100%;
  -ms-flex-line-pack: start;
      align-content: start;
  display: grid;
  grid-template-rows: auto auto 1fr auto;
}
.article-card.article-card .article-card__date {
  margin-bottom: 15px;
}

.article-card a .icon {
  position: absolute;
  bottom: 0;
  right: 0;
  color: rgb(var(--color-primary));
  width: 40px;
  height: 40px;
}

h2.article-card__title.article-card__title {
  font-family: var(--font-family-default);
  font-size: clamp(calc(18 / var(--base) * 1rem), calc((calc(28 / var(--base) * 1rem) - calc(18 / var(--base) * 1rem)) / (1350px - 576px)) * 100vw + calc(calc(18 / var(--base) * 1rem) - calc((calc(28 / var(--base) * 1rem) - calc(18 / var(--base) * 1rem)) / (1350px - 576px)) * 576px), calc(28 / var(--base) * 1rem));
  margin-bottom: 30px;
}

.articles__search {
  --padding: 10px;
  --button-size: calc(var(--top-height) - ( var(--padding) * 2) );
  background: rgb(var(--color-light));
  border: 1px solid #EBE5D9;
  border-radius: 50px;
  display: -ms-flexbox;
  display: flex;
  padding: var(--padding);
  overflow: hidden;
}
.articles__search input,
.articles__search button {
  border-radius: 50px;
  cursor: pointer;
  text-align: left;
  font-size: inherit;
}
.articles__search input {
  border: none;
  color: rgb(var(--color-default));
  outline: none;
  padding: 0 20px;
  -webkit-appearance: none;
  appearance: none;
  height: 100%;
  -ms-flex-positive: 100;
      flex-grow: 100;
  width: calc(100% - var(--button-size));
}
.articles__search button {
  color: rgb(var(--color-primary));
  background: none;
  padding: 0;
  border: 0;
  font-size: 0;
  position: relative;
  height: var(--button-size);
  width: var(--button-size);
  -ms-flex-negative: 0;
      flex-shrink: 0;
}
.articles__search button .icon {
  position: absolute;
  height: 100%;
  width: 100%;
  top: 0;
  left: 0;
}

.articles__top {
  --top-height: 80px;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-direction: column;
      flex-direction: column;
  gap: 20px;
  -ms-flex-pack: justify;
      justify-content: space-between;
  margin-bottom: 40px;
}

.articles__categories,
.articles__search {
  height: var(--top-height);
}

.articles__pagination .nav-links {
  display: -ms-flexbox;
  display: flex;
  gap: 5px;
  justify-self: center;
  margin-top: 50px;
}
.articles__pagination .next,
.articles__pagination .prev {
  color: rgb(var(--color-primary));
  display: inline-block;
}
.articles__pagination .prev {
  transform: rotate(90deg);
}
.articles__pagination .next {
  transform: rotate(-90deg);
}
.articles__pagination .page-numbers:not(.prev):not(.next):not(.dots) {
  --size: 40px;
  -ms-flex-align: center;
      align-items: center;
  border: 2px solid transparent;
  display: -ms-flexbox;
  display: flex;
  font-size: calc(20 / var(--base) * 1rem);
  height: var(--size);
  line-height: 1;
  position: relative;
  width: var(--size);
  -ms-flex-pack: center;
      justify-content: center;
  border-radius: 50%;
  transition: 250ms border-color ease;
}
.articles__pagination .page-numbers:not(.prev):not(.next):not(.dots).current {
  background: rgb(var(--color-primary));
}
@media (pointer: fine) {
  .articles__pagination .page-numbers:not(.prev):not(.next):not(.dots):hover {
    border-color: rgb(var(--color-primary));
  }
}

@media (min-width: 992px) {
  .articles {
    --gap: 50px;
    --row-gap: 40px;
    padding-top: 100px;
    padding-bottom: 100px;
  }
  .articles__categories {
    --gap: 40px;
  }
  .articles__categories-category {
    margin: 0 10px;
  }
  .article {
    --border-radius: var(--border-radius-desktop);
    --icon-size: 70px;
  }
  h2.article__title {
    font-size: calc(22 / var(--base) * 1rem);
  }
  .article__date {
    font-size: calc(17 / var(--base) * 1rem);
  }
  ul.article__categories li {
    font-size: calc(19 / var(--base) * 1rem);
    padding: 10px 17px;
  }
  .articles__top {
    --top-height: 100px;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-direction: row;
        flex-direction: row;
    gap: 35px;
    margin-bottom: 70px;
  }
  .articles__search {
    width: 35%;
    -ms-flex-negative: 0;
        flex-shrink: 0;
  }
}
